RabinSS< STANDARD, H > Struct Template Reference

Rabin signature. More...

`#include <rabin.h>`

Inheritance diagram for RabinSS< STANDARD, H >:

## Public Types

typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions < ALG_INFO, Rabin, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate < TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate < TF_VerifierImpl < SchemeOptions > > | Verifier
| implements PK_Verifier interface
typedef RabinFunction | PublicKey
typedef InvertibleRabinFunction | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD, class H>
struct RabinSS< STANDARD, H >

Rabin signature.

Definition at line 96 of file rabin.h.

The documentation for this struct was generated from the following file:

- rabin.h